org.apache.naming.factory

## Class ResourceEnvFactory

- java.lang.Object
- - org.apache.naming.factory.FactoryBase
  - - org.apache.naming.factory.ResourceEnvFactory

All Implemented Interfaces:
  ObjectFactory

    public class ResourceEnvFactory
    extends FactoryBase

Object factory for Resources env.

Author:
  Remy Maucherat

### Constructor Summary

Constructors
Constructor and Description
`ResourceEnvFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ObjectFactory` `getDefaultFactory(Reference ref)` If a default factory is available for the given reference type, create the default factory.
`protected Object` `getLinked(Reference ref)` If this reference is a link to another JNDI object, obtain that object.
`protected boolean` `isReferenceTypeSupported(Object obj)` Determines if this factory supports processing the provided reference object.

### Methods inherited from class org.apache.naming.factory.FactoryBase

`getObjectInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceEnvFactory

    public ResourceEnvFactory()

### Method Detail

#### isReferenceTypeSupported

    protected boolean isReferenceTypeSupported(Object obj)

Description copied from class: `FactoryBase`
Determines if this factory supports processing the provided reference object.

Specified by:
  `isReferenceTypeSupported` in class `FactoryBase`
Parameters:
  `obj` - The object to be processed
Returns:
  `true` if this factory can process the object, otherwise `false`

#### getDefaultFactory

    protected ObjectFactory getDefaultFactory(Reference ref)

Description copied from class: `FactoryBase`
If a default factory is available for the given reference type, create the default factory.

Specified by:
  `getDefaultFactory` in class `FactoryBase`
Parameters:
  `ref` - The reference object to be processed
Returns:
  The default factory for the given reference object or `null` if no default factory exists.

#### getLinked

    protected Object getLinked(Reference ref)

Description copied from class: `FactoryBase`
If this reference is a link to another JNDI object, obtain that object.

Specified by:
  `getLinked` in class `FactoryBase`
Parameters:
  `ref` - The reference object to be processed
Returns:
  The linked object or `null` if linked objects are not supported by or not configured for this reference object